Skip to main content
`Ctrl`+`K`

# smallpond.logical.node.LogicalPlan

class smallpond.logical.node.LogicalPlan(ctx: Context, root_node: Node )

  The logical plan that defines a directed acyclic computation graph.

  __init__(ctx: Context, root_node: Node ) → None

  Methods

  `__init__`(ctx, root_node) |
  `explain_str`() | Return a string that shows the structure of the logical plan.
  `graph`() | Return a graphviz graph that shows the structure of the logical plan.

  Attributes

  `nodes` |